import { SignatureHelp, SignatureInformation } from 'vscode-languageserver-types';
import { DbSchema } from './dbSchema';
import { Neo4jFunction, Neo4jProcedure } from './types';
export declare const emptyResult: SignatureHelp;
export declare enum MethodType {
    function = "function",
    procedure = "procedure"
}
export declare function toSignatureInformation(curr: Neo4jFunction | Neo4jProcedure): SignatureInformation;
export declare function signatureHelp(query: string, dbSchema: DbSchema, caretPosition?: number): SignatureHelp;
